Page MenuHomePhabricator

Update all repositories that use mediawiki_selenium Ruby gem to version 1.6.x
Closed, ResolvedPublic

Description

1.6.0 has a feature to log in via the API, so no credentials will be recorded in Sauce Labs logs.

Update instructions: https://phabricator.wikimedia.org/diffusion/MSEL/browse/master/UPGRADE.md

gem 'mediawiki_selenium', '~> 1.6.3'
gem 'rake', '~> 10.4', '>= 10.4.2'
bundle exec mediawiki-selenium-init
RepositoryVersion
mediawiki1.6.3
mediawiki/selenium1.6.3
ArticleFeedbackv50.2.20
CentralAuth1.6.3
CentralNotice1.6.3
CirrusSearch0.3.2
ContentTranslation1.6.2
Echo1.6.3
Flow1.6.3
Gather1.6.3
GettingStarted1.6.2
Math1.6.3
MobileFrontend1.6.3
MultimediaViewer1.6.3
PageTriage1.6.2
PdfHandler1.6.2
QuickSurveys1.6.2
Translate1.6.2
TwnMainPage1.6.2
UniversalLanguageSelector1.6.2
UploadWizard1.6.3
VisualEditor1.6.3
WikidataBrowserTests1.6.2
WikiLove1.6.3
ZeroPortal1.6.3

Related Objects

StatusAssignedTask
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolved dduvall
Resolvedzeljkofilipin
Resolvedhashar
Resolved dduvall
Resolvedzeljkofilipin
Invalidzeljkofilipin
Resolved dduvall
Resolved dduvall
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolved dduvall
Resolved dduvall
Invalidzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to High.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added subscribers: greg, csteipp, dduvall and 3 others.

As soon as T94083: Update repositories that use mediawiki_selenium Ruby gem to version 1.x is resolved, upgrading from version 1.x to 1.6.x should be trivial, only updating Gemfile and Gemfile.lock.

zeljkofilipin removed zeljkofilipin as the assignee of this task.Sep 30 2015, 2:16 PM
zeljkofilipin set Security to None.
hashar added a comment.Oct 5 2015, 7:52 AM

Given 1.x to 1.6.x is trivial, you might as well bump the repositories directly to 1.6.x :-D

@hashar: repositories that are using 0.x will be updated to the latest released version at the time of updating. Repositories that already use 1.x need to be updated to 1.6. That is not covered by the original task T94083.

zeljkofilipin moved this task from INBOX to Next on the Release-Engineering-Team board.
zeljkofilipin moved this task from Ruby to Next on the Browser-Tests-Infrastructure board.
zeljkofilipin moved this task from Next to In-progress on the Release-Engineering-Team board.
zeljkofilipin moved this task from Next to In Progress on the Browser-Tests-Infrastructure board.

Change 258164 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/258164

Change 259261 had a related patch set uploaded (by Zfilipin):
Update to the latest version of mediawiki_selenium Ruby gem

https://gerrit.wikimedia.org/r/259261

Change 259261 merged by jenkins-bot:
Update to the latest version of mediawiki_selenium Ruby gem

https://gerrit.wikimedia.org/r/259261

Change 258164 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem from 1.2.1 to 1.6.3

https://gerrit.wikimedia.org/r/258164

Change 257338 had a related patch set uploaded (by Zfilipin):
Browser tests: use mw-selenium 1.6.1

https://gerrit.wikimedia.org/r/257338

Change 257338 merged by jenkins-bot:
Browser tests: use mw-selenium 1.6.3

https://gerrit.wikimedia.org/r/257338

Change 259511 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259511

zeljkofilipin updated the task description. (Show Details)

Change 259515 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259515

Change 259520 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259520

zeljkofilipin updated the task description. (Show Details)

Change 259515 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259515

Change 259658 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259658

Change 259658 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259658

Change 259673 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259673

Change 259678 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259678

Change 259681 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259681

Change 259685 had a related patch set uploaded (by Zfilipin):
[BrowserTest] Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259685

Change 259688 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259688

Change 259690 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259690

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 259673 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259673

Change 259688 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259688

Change 259520 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259520

Change 259678 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259678

Change 259883 had a related patch set uploaded (by Jdlrobson):
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259883

Change 259883 abandoned by Jdlrobson:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259883

Change 259685 merged by jenkins-bot:
[BrowserTest] Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259685

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 30 2015, 11:50 AM

Change 259681 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259681

Change 259511 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259511

Change 266929 had a related patch set uploaded (by Dduvall):
QA: Upgrade mediawiki_selenium to version 1.6.5

https://gerrit.wikimedia.org/r/266929

dduvall updated the task description. (Show Details)Jan 27 2016, 10:40 PM

Change 266929 merged by jenkins-bot:
QA: Upgrade mediawiki_selenium to version 1.6.5

https://gerrit.wikimedia.org/r/266929

Change 267182 had a related patch set uploaded (by Dduvall):
QA: Upgrade mediawiki_selenium to version 1.6.5

https://gerrit.wikimedia.org/r/267182

Change 267182 merged by jenkins-bot:
QA: Upgrade mediawiki_selenium to version 1.6.5

https://gerrit.wikimedia.org/r/267182

Change 267803 had a related patch set uploaded (by Dduvall):
QA: Upgrade to mediawiki_selenium 1.6.5

https://gerrit.wikimedia.org/r/267803

Change 267803 merged by jenkins-bot:
QA: Upgrade to mediawiki_selenium 1.6.5

https://gerrit.wikimedia.org/r/267803

zeljkofilipin closed this task as Resolved.Feb 2 2016, 4:29 PM

Change 259690 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to the latest version

https://gerrit.wikimedia.org/r/259690